<?php

namespace Btravel\Card;

use User;

class Card
{
    /**
     * $card object.
     */
    protected $card;    /**
     * $offer object.
     */
    protected $offer;    /**
     * $brand object.
     */
    protected $brand;

    /**
     * Constructor.
     */
    public function __construct(\Btravel\Card\Interfaces\CardRepositoryInterface $card,        \Btravel\Card\Interfaces\OfferRepositoryInterface $offer,        \Btravel\Card\Interfaces\BrandRepositoryInterface $brand)
    {
        $this->card = $card;        $this->offer = $offer;        $this->brand = $brand;
    }

    /**
     * Returns count of card.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.card.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->card->pushCriteria(new \Litepie\Btravel\Repositories\Criteria\CardUserCriteria());
        }

        $card = $this->card->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('card::' . $view, compact('card'))->render();
    }    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.offer.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->offer->pushCriteria(new \Litepie\Btravel\Repositories\Criteria\OfferUserCriteria());
        }

        $offer = $this->offer->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('card::' . $view, compact('offer'))->render();
    }    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.brand.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->brand->pushCriteria(new \Litepie\Btravel\Repositories\Criteria\BrandUserCriteria());
        }

        $brand = $this->brand->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('card::' . $view, compact('brand'))->render();
    }
}
