<?php

namespace Btravel\Cards\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Btravel\Cards\Interfaces\OfferRepositoryInterface;

class OfferPublicController extends BaseController
{
    // use OfferWorkflow;

    /**
     * Constructor.
     *
     * @param type \Btravel\Offer\Interfaces\OfferRepositoryInterface $offer
     *
     * @return type
     */
    public function __construct(OfferRepositoryInterface $offer)
    {
        $this->repository = $offer;
        parent::__construct();
    }

    /**
     * Show offer's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $offers = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('cards::offer.names'))
            ->view('cards::public.offer.index')
            ->data(compact('offers'))
            ->output();
    }


    /**
     * Show offer.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $offer = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($offer->name . trans('cards::offer.name'))
            ->view('cards::public.offer.show')
            ->data(compact('offer'))
            ->output();
    }

}
