<?php

namespace Btravel\Cards\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Card policy
        'Btravel\Cards\Models\Card' => \Btravel\Cards\Policies\CardPolicy::class,
// Bind Offer policy
        'Btravel\Cards\Models\Offer' => \Btravel\Cards\Policies\OfferPolicy::class,
// Bind BtCardCard policy
        'Btravel\Cards\Models\BtCardCard' => \Btravel\Cards\Policies\BtCardCardPolicy::class,
// Bind Brand policy
        'Btravel\Cards\Models\Brand' => \Btravel\Cards\Policies\BrandPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
