<?php

namespace Btravel\Card\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Card policy
        'Btravel\Card\Models\Card' => \Btravel\Card\Policies\CardPolicy::class,// Bind Offer policy
        'Btravel\Card\Models\Offer' => \Btravel\Card\Policies\OfferPolicy::class,// Bind BtCardCard policy
        'Btravel\Card\Models\BtCardCard' => \Btravel\Card\Policies\BtCardCardPolicy::class,// Bind Brand policy
        'Btravel\Card\Models\Brand' => \Btravel\Card\Policies\BrandPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
