<?php

namespace Btravel\Card\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BrandTransformer extends TransformerAbstract
{
    public function transform(\Btravel\Card\Models\Brand $brand)
    {
        return [
            'id'                => $brand->getRouteKey(),
            'key'               => [
                'public'    => $brand->getPublicKey(),
                'route'     => $brand->getRouteKey(),
            ], 
            'organizer_id'      => $brand->organizer_id,
            'name'              => $brand->name,
            'slug'              => $brand->slug,
            'user_id'           => $brand->user_id,
            'user_type'         => $brand->user_type,
            'deleted_at'        => $brand->deleted_at,
            'url'               => [
                'public'    => trans_url('card/'.$brand->getPublicKey()),
                'user'      => guard_url('card/brand/'.$brand->getRouteKey()),
            ], 
            'status'            => trans('app.'.$brand->status),
            'created_at'        => format_date($brand->created_at),
            'updated_at'        => format_date($brand->updated_at),
        ];
    }
}