<?php

namespace Btravel\Cards\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BtCardCardTransformer extends TransformerAbstract
{
    public function transform(\Btravel\Cards\Models\BtCardCard $bt_card_card)
    {
        return [
            'id'                => $bt_card_card->getRouteKey(),
            'key'               => [
                'public'    => $bt_card_card->getPublicKey(),
                'route'     => $bt_card_card->getRouteKey(),
            ], 
            'name'              => $bt_card_card->name,
            'description'       => $bt_card_card->description,
            'image'             => $bt_card_card->image,
            'slug'              => $bt_card_card->slug,
            'deleted_at'        => $bt_card_card->deleted_at,
            'url'               => [
                'public'    => trans_url('cards/'.$bt_card_card->getPublicKey()),
                'user'      => guard_url('cards/bt_card_card/'.$bt_card_card->getRouteKey()),
            ], 
            'status'            => trans('app.'.$bt_card_card->status),
            'created_at'        => format_date($bt_card_card->created_at),
            'updated_at'        => format_date($bt_card_card->updated_at),
        ];
    }
}