<?php

namespace Btravel\Card\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CardTransformer extends TransformerAbstract
{
    public function transform(\Btravel\Card\Models\Card $card)
    {
        return [
            'id'                => $card->getRouteKey(),
            'key'               => [
                'public'    => $card->getPublicKey(),
                'route'     => $card->getRouteKey(),
            ], 
            'name'              => $card->name,
            'description'       => $card->description,
            'image'             => $card->image,
            'slug'              => $card->slug,
            'deleted_at'        => $card->deleted_at,
            'url'               => [
                'public'    => trans_url('card/'.$card->getPublicKey()),
                'user'      => guard_url('card/card/'.$card->getRouteKey()),
            ], 
            'status'            => trans('app.'.$card->status),
            'created_at'        => format_date($card->created_at),
            'updated_at'        => format_date($card->updated_at),
        ];
    }
}