<?php

namespace Btravel\Cards\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class OfferTransformer extends TransformerAbstract
{
    public function transform(\Btravel\Cards\Models\Offer $offer)
    {
        return [
            'id'                => $offer->getRouteKey(),
            'key'               => [
                'public'    => $offer->getPublicKey(),
                'route'     => $offer->getRouteKey(),
            ], 
            'name'              => $offer->name,
            'description'       => $offer->description,
            'image'             => $offer->image,
            'slug'              => $offer->slug,
            'deleted_at'        => $offer->deleted_at,
            'url'               => [
                'public'    => trans_url('cards/'.$offer->getPublicKey()),
                'user'      => guard_url('cards/offer/'.$offer->getRouteKey()),
            ], 
            'status'            => trans('app.'.$offer->status),
            'created_at'        => format_date($offer->created_at),
            'updated_at'        => format_date($offer->updated_at),
        ];
    }
}